require 'helper'

describe "Hoistapps and data" do
  it "can store an item" do
    key = Heft::Key.new(:id => "chicken pie", :type => "recipe")
 
    item = Heft::DataItem.new(
      :key   => key,
      :value => {"a" => "value a"}.to_json 
    )  
    
    Heft::Data.save item 
    
    result = Heft::Data.get key

    expect(result).to_not be_nil
    expect(result["a"]).to eql "value a"
  end

  # Be sure to add permission on deletes: https://go.hoistapps.com/open-attempt/members/roles. 
  # Looks like we are connecting as anonymous user type.
  it "can delete an item" do
    key = Heft::Key.new(:id => "tacos", :type => "recipe")

    item = Heft::DataItem.new(
      :key   => key,
      :value => {}.to_json 
    )  

    Heft::Data.save item
    
    Heft::Data.delete key
    
    expect(Heft::Data.get key).to be_nil
  end

  it "data MUST be json otherwise you get error"
  it "can update an item"
end
