require 'helper'

describe "Hoistapps and users" do
  it "can be asked to add a new one" do # see: http://docs.hoi.io/authentication/overview/api/authentication-api
    email = UniqueEmail.next

    Heft::Users.add :email => email, :password => "xxx_not_a_password_xxx"

    expect(Heft::Users.contain? email).to be_true, "User was not found"
  end

  it "fails when user exists already with the same email" do
    email = UniqueEmail.next

    any_password = "******"

    Heft::Users.add :email => email, :password => any_password

    expect{ Heft::Users.add :email => email, :password => any_password }.to raise_error /already a user with that email address/
  end
  
  it "can delete a user" do
    email = UniqueEmail.next

    any_password = "******"

    Heft::Users.add :email => email, :password => any_password

    Heft::Users.delete email

    expect{ Heft::Users.add :email => email, :password => any_password }.to_not raise_error
  end
  
  it "fails unless password is <= 6 characters long"
end
